All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# KJSEmbedPart

Bindings for the KJSEmbedPart class.

## Properties

None

## Methods

actionClient(...)
actionCollection(...)
child(...)
childCount(...)
children(...)
className(...)
closeStream(...)
connect(...)
deleteLater(...)
disconnect(...)
evaluate(...)
evaluate2(...)
execute(...)
execute2(...)
execute3(...)
factory(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
globalExec(...)
hasAttribute(...)
interpreter(...)
isWidgetType(...)
loadActionSet(...)
loadFile(...)
openStream(...)
openURL(...)
openURL1(...)
parent(...)
properties(...)
runFile(...)
runFile2(...)
setAttribute(...)
signals(...)
slots(...)
superClassName(...)
view(...)
writeStream(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QStringList | constructorNames |
QCString | name | kjsembed_part
int | versionMajor | 0
int | versionMinor | 3
QCString | versionString | 0.3

## Qt Signals

canceled(const QString&)
completed()
completed(bool)
destroyed()
destroyed(QObject*)
setStatusBarText(const QString&)
setWindowCaption(const QString&)
started(KIO::Job*)

## Qt Slots

KJSEmbed::XMLActionClient | actionClient()
void | cleanupEventFilter(QObject*)
void | deleteLater()
void | evaluate(const QString&)
void | evaluate(const QString&,const KJS::Value&)
bool | execute(KJS::Completion&,const QString&,const KJS::Value&)
bool | execute(const QString&)
bool | execute(const QString&,const KJS::Value&)
JSFactory | factory()
KJS::ExecState | globalExec()
KJS::Interpreter | interpreter()
bool | loadActionSet(const QString&)
QString | loadFile(const QString&)
bool | openURL(const KURL&)
bool | openURL(const KURL&)
bool | runFile(const QString&)
bool | runFile(const QString&,const KJS::Value&)
void | slotJobFinished(KIO::Job*)
void | slotWidgetDestroyed()
KJSEmbed::JSConsoleWidget | view()